#if defined (__C51__)
#pragma rom(compact) small debug regparms code objectextend

  #if (__C51__  > 400)
#pragma  optimize(6) objectextend nointpromote
  #else
#pragma optimize(4) objectextend nointpromote
  #endif
#endif

//include <ADUC842.H>
#include "TYPES.H"
#include "BITMAP.H"
#include "DEFINE.H"
#include "LCD.H"

//******************************************************************************
void delay() {
long i;
char j;
#ifdef FAST
	i=0xFFFFF;
#else
	i=0xFFFF;
#endif
#ifdef USCOPE
	i=0x1FFF;
#endif
	for (; i--; i!=0) {
		j=~j;
	}
}
//******************************************************************************
void main() {
	LCDInit();
	while (TRUE) {
		DrawBitmap(point(0,0),&BM_PROMIS,BLACK,FALSE);
		WriteLCDData();
		delay();
		ClrScr();
		DrawBitmap(point(0,0),&BM_TEST,BLACK,FALSE);
		WriteLCDData();
		delay();
		ClrScr();
		DrawBitmap(point(0,0),&BM_OSCILOSCOPE,BLACK,FALSE);
		WriteLCDData();
		delay();
		ClrScr();
	}
}
